#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%{?sle15_python_module_pythons}
Name:           python-matplotlib-inline%{psuffix}
Version:        0.1.6
Release:        2.1
Summary:        Inline Matplotlib backend for Jupyter
License:        BSD-3-Clause
URL:            https://github.com/ipython/matplotlib-inline
Source:         https://files.pythonhosted.org/packages/source/m/matplotlib-inline/matplotlib-inline-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module traitlets}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-traitlets
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module ipython}
BuildRequires:  %{python_module matplotlib}
%endif
%python_subpackages

%description
Matplotlib Inline Back-end for IPython and Jupyter

%prep
%setup -q -n matplotlib-inline-%{version}

%build
%python_build

%install
%if ! %{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%if %{with test}
%check
# this is upstream's only CI check either
%python_exec -B -c 'from matplotlib_inline.backend_inline import show'
%endif

%if ! %{with test}
%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/matplotlib_inline
%{python_sitelib}/matplotlib_inline-%{version}*-info
%endif

%changelog
* Sat Jul  1 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sat Aug 20 2022 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
- update to version 0.1.6:
  * Return manager instead of None
- changes from version 0.1.5:
  * replace 0.1.4 on pypi, no changes
- changes from version 0.1.4:
  * Fix: always clear _draw_called
  * Move draw_if_interactive logic to new_figure_manager_given_figure.
  * Remove matplotlib rc overrides.
  * Create __version__ attribute
* Sun Oct 17 2021 Ben Greiner <code@bnavigator.de>
- Update to version 0.3
  * Update project URL
* Sat Jun 26 2021 Ben Greiner <code@bnavigator.de>
- initial specfile for version 0.2
- new requirement for IPython 7.25 and IPyKernel 6
- multibuild for rudimentary test in order to avoid depcycle with
  ipython
